evolution-rss r143 - in trunk: . pixmaps src



Author: lucilanga
Date: Sat Feb  2 16:56:44 2008
New Revision: 143
URL: http://svn.gnome.org/viewvc/evolution-rss?rev=143&view=rev

Log:
port to libsoup24

Modified:
   trunk/ChangeLog
   trunk/Makefile.in
   trunk/TODO
   trunk/configure
   trunk/configure.ac
   trunk/pixmaps/Makefile.in
   trunk/src/Makefile.am
   trunk/src/Makefile.in
   trunk/src/network-soup.c
   trunk/src/rss.c

Modified: trunk/Makefile.in
==============================================================================
--- trunk/Makefile.in	(original)
+++ trunk/Makefile.in	Sat Feb  2 16:56:44 2008
@@ -170,6 +170,12 @@
 LDFLAGS = @LDFLAGS@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
+LIBSOUP_22_CFLAGS = @LIBSOUP_22_CFLAGS@
+LIBSOUP_22_LIBS = @LIBSOUP_22_LIBS@
+LIBSOUP_24_CFLAGS = @LIBSOUP_24_CFLAGS@
+LIBSOUP_24_LIBS = @LIBSOUP_24_LIBS@
+LIBSOUP_CFLAGS = @LIBSOUP_CFLAGS@
+LIBSOUP_LIBS = @LIBSOUP_LIBS@
 LIBTOOL = @LIBTOOL@
 LN_S = @LN_S@
 LOCALEDIR = @LOCALEDIR@
@@ -202,6 +208,7 @@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SOEXT = @SOEXT@
+SOUP_VERSION = @SOUP_VERSION@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
 VERSION = @VERSION@

Modified: trunk/TODO
==============================================================================
--- trunk/TODO	(original)
+++ trunk/TODO	Sat Feb  2 16:56:44 2008
@@ -30,14 +30,13 @@
 	* implement USM (universal subscription mechanism)
 	* feed://
 	* fix authentication for proxy dialog
-	* fix 3270 lin
+	* make auth dialog not intrusive (peek other software)
 	* fix move->rename
 	* use svn tag stuff when releasing
 	* fix when editing existing feeds
 	* fix ubuntu crashing when wrong entities (<0.0.6) and feed conf files stored in a file
 	* do not remove hash key when iterate !
 	* check importing, as it won't run for the first time
-	* make auth dialog not intrusive (peek other software)
 	* when importing through dbus notify in status bar
 	* check mycall resize, verify data is valid widget -> generates crash
 	* check taskbar op when removing a feed

Modified: trunk/configure
==============================================================================
--- trunk/configure	(original)
+++ trunk/configure	Sat Feb  2 16:56:44 2008
@@ -908,6 +908,12 @@
 evolution_exec_int
 MINOR_VERSION
 PKG_CONFIG
+LIBSOUP_24_CFLAGS
+LIBSOUP_24_LIBS
+LIBSOUP_22_CFLAGS
+LIBSOUP_22_LIBS
+LIBSOUP_CFLAGS
+LIBSOUP_LIBS
 EVOLUTION_RSS_EPLUGIN_CFLAGS
 EVOLUTION_RSS_EPLUGIN_LIBS
 PLUGIN_INSTALL_DIR
@@ -947,6 +953,7 @@
 GCONF_SCHEMA_FILE_DIR
 GCONF_SCHEMAS_INSTALL_TRUE
 GCONF_SCHEMAS_INSTALL_FALSE
+SOUP_VERSION
 DBUS_CFLAGS
 DBUS_LIBS
 HAVE_DBUS_TRUE
@@ -993,6 +1000,12 @@
 F77
 FFLAGS
 PKG_CONFIG
+LIBSOUP_24_CFLAGS
+LIBSOUP_24_LIBS
+LIBSOUP_22_CFLAGS
+LIBSOUP_22_LIBS
+LIBSOUP_CFLAGS
+LIBSOUP_LIBS
 EVOLUTION_RSS_EPLUGIN_CFLAGS
 EVOLUTION_RSS_EPLUGIN_LIBS
 GECKO_CFLAGS
@@ -1630,6 +1643,18 @@
   F77         Fortran 77 compiler command
   FFLAGS      Fortran 77 compiler flags
   PKG_CONFIG  path to pkg-config utility
+  LIBSOUP_24_CFLAGS
+              C compiler flags for LIBSOUP_24, overriding pkg-config
+  LIBSOUP_24_LIBS
+              linker flags for LIBSOUP_24, overriding pkg-config
+  LIBSOUP_22_CFLAGS
+              C compiler flags for LIBSOUP_22, overriding pkg-config
+  LIBSOUP_22_LIBS
+              linker flags for LIBSOUP_22, overriding pkg-config
+  LIBSOUP_CFLAGS
+              C compiler flags for LIBSOUP, overriding pkg-config
+  LIBSOUP_LIBS
+              linker flags for LIBSOUP, overriding pkg-config
   EVOLUTION_RSS_EPLUGIN_CFLAGS
               C compiler flags for EVOLUTION_RSS_EPLUGIN, overriding
               pkg-config
@@ -6100,7 +6125,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 6103 "configure"' > conftest.$ac_ext
+  echo '#line 6128 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -8438,11 +8463,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8441: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8466: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8445: \$? = $ac_status" >&5
+   echo "$as_me:8470: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8728,11 +8753,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8731: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8756: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8735: \$? = $ac_status" >&5
+   echo "$as_me:8760: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8832,11 +8857,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8835: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8860: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:8839: \$? = $ac_status" >&5
+   echo "$as_me:8864: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -11183,7 +11208,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11186 "configure"
+#line 11211 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11283,7 +11308,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11286 "configure"
+#line 11311 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13703,11 +13728,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13706: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13731: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13710: \$? = $ac_status" >&5
+   echo "$as_me:13735: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13807,11 +13832,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13810: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13835: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13814: \$? = $ac_status" >&5
+   echo "$as_me:13839: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15371,11 +15396,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15374: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15399: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15378: \$? = $ac_status" >&5
+   echo "$as_me:15403: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15475,11 +15500,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15478: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15503: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15482: \$? = $ac_status" >&5
+   echo "$as_me:15507: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17664,11 +17689,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17667: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17692: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17671: \$? = $ac_status" >&5
+   echo "$as_me:17696: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -17954,11 +17979,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17957: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17982: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17961: \$? = $ac_status" >&5
+   echo "$as_me:17986: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -18058,11 +18083,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18061: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18086: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:18065: \$? = $ac_status" >&5
+   echo "$as_me:18090: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -20771,13 +20796,7 @@
 MINOR_VERSION=`echo $EVOLUTION_EXEC_VERSION|cut -d. -f2|awk '{print 1000 * $1}'`
 
 
-LIBGTK_REQUIRED=2.4.0
-LIBGNOME_REQUIRED=2.7.0
-LIBGNOMEUI_REQUIRED=2.7.0
-EVOLUTION_REQUIRED=2.4.1
-LIBSOUP_REQUIRED=2.2
-LIBGLADE_REQUIREED=2.0
-
+SOUP=
 
 
 if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
@@ -20900,6 +20919,273 @@
 fi
 
 pkg_failed=no
+{ echo "$as_me:$LINENO: checking for LIBSOUP_24" >&5
+echo $ECHO_N "checking for LIBSOUP_24... $ECHO_C" >&6; }
+
+if test -n "$PKG_CONFIG"; then
+    if test -n "$LIBSOUP_24_CFLAGS"; then
+        pkg_cv_LIBSOUP_24_CFLAGS="$LIBSOUP_24_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libsoup-2.4\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libsoup-2.4") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_LIBSOUP_24_CFLAGS=`$PKG_CONFIG --cflags "libsoup-2.4" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$LIBSOUP_24_LIBS"; then
+        pkg_cv_LIBSOUP_24_LIBS="$LIBSOUP_24_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libsoup-2.4\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libsoup-2.4") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_LIBSOUP_24_LIBS=`$PKG_CONFIG --libs "libsoup-2.4" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        LIBSOUP_24_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libsoup-2.4"`
+        else
+	        LIBSOUP_24_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libsoup-2.4"`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$LIBSOUP_24_PKG_ERRORS" >&5
+
+	{ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+                SOUP=
+elif test $pkg_failed = untried; then
+	SOUP=
+else
+	LIBSOUP_24_CFLAGS=$pkg_cv_LIBSOUP_24_CFLAGS
+	LIBSOUP_24_LIBS=$pkg_cv_LIBSOUP_24_LIBS
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+	SOUP=2.4
+fi
+if test "x$SOUP" != "x2.4"; then
+
+pkg_failed=no
+{ echo "$as_me:$LINENO: checking for LIBSOUP_22" >&5
+echo $ECHO_N "checking for LIBSOUP_22... $ECHO_C" >&6; }
+
+if test -n "$PKG_CONFIG"; then
+    if test -n "$LIBSOUP_22_CFLAGS"; then
+        pkg_cv_LIBSOUP_22_CFLAGS="$LIBSOUP_22_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libsoup-2.2\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libsoup-2.2") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_LIBSOUP_22_CFLAGS=`$PKG_CONFIG --cflags "libsoup-2.2" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$LIBSOUP_22_LIBS"; then
+        pkg_cv_LIBSOUP_22_LIBS="$LIBSOUP_22_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libsoup-2.2\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libsoup-2.2") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_LIBSOUP_22_LIBS=`$PKG_CONFIG --libs "libsoup-2.2" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        LIBSOUP_22_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libsoup-2.2"`
+        else
+	        LIBSOUP_22_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libsoup-2.2"`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$LIBSOUP_22_PKG_ERRORS" >&5
+
+	{ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+                SOUP=
+elif test $pkg_failed = untried; then
+	SOUP=
+else
+	LIBSOUP_22_CFLAGS=$pkg_cv_LIBSOUP_22_CFLAGS
+	LIBSOUP_22_LIBS=$pkg_cv_LIBSOUP_22_LIBS
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+	SOUP=2.2
+fi
+fi
+if test "x$SOUP" == "x"; then
+
+pkg_failed=no
+{ echo "$as_me:$LINENO: checking for LIBSOUP" >&5
+echo $ECHO_N "checking for LIBSOUP... $ECHO_C" >&6; }
+
+if test -n "$PKG_CONFIG"; then
+    if test -n "$LIBSOUP_CFLAGS"; then
+        pkg_cv_LIBSOUP_CFLAGS="$LIBSOUP_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libsoup\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libsoup") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_LIBSOUP_CFLAGS=`$PKG_CONFIG --cflags "libsoup" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$LIBSOUP_LIBS"; then
+        pkg_cv_LIBSOUP_LIBS="$LIBSOUP_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libsoup\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libsoup") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_LIBSOUP_LIBS=`$PKG_CONFIG --libs "libsoup" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        LIBSOUP_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libsoup"`
+        else
+	        LIBSOUP_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libsoup"`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$LIBSOUP_PKG_ERRORS" >&5
+
+	{ { echo "$as_me:$LINENO: error: Package requirements (libsoup) were not met:
+
+$LIBSOUP_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables LIBSOUP_CFLAGS
+and LIBSOUP_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+echo "$as_me: error: Package requirements (libsoup) were not met:
+
+$LIBSOUP_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables LIBSOUP_CFLAGS
+and LIBSOUP_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+   { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+	{ { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables LIBSOUP_CFLAGS
+and LIBSOUP_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&5
+echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables LIBSOUP_CFLAGS
+and LIBSOUP_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }
+else
+	LIBSOUP_CFLAGS=$pkg_cv_LIBSOUP_CFLAGS
+	LIBSOUP_LIBS=$pkg_cv_LIBSOUP_LIBS
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+	SOUP=
+fi
+else
+SOUP="-$SOUP"
+fi
+
+LIBGTK_REQUIRED=2.4.0
+LIBGNOME_REQUIRED=2.7.0
+LIBGNOMEUI_REQUIRED=2.7.0
+EVOLUTION_REQUIRED=2.4.1
+LIBSOUP_REQUIRED=2.2
+LIBGLADE_REQUIREED=2.0
+
+
+pkg_failed=no
 { echo "$as_me:$LINENO: checking for EVOLUTION_RSS_EPLUGIN" >&5
 echo $ECHO_N "checking for EVOLUTION_RSS_EPLUGIN... $ECHO_C" >&6; }
 
@@ -20908,12 +21194,12 @@
         pkg_cv_EVOLUTION_RSS_EPLUGIN_CFLAGS="$EVOLUTION_RSS_EPLUGIN_CFLAGS"
     else
         if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgnome-2.0 >= \$LIBGNOME_REQUIRED    libgnomeui-2.0 >= \$LIBGNOMEUI_REQUIRED    gtk+-2.0 >= \$LIBGTK_REQUIRED    libsoup-2.2 >= \$LIBSOUP_REQUIRED    evolution-plugin\$EVOLUTION_BASE_VERSION_S >= \$EVOLUTION_REQUIRED    libglade-2.0 \"") >&5
-  ($PKG_CONFIG --exists --print-errors "libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup-2.2 >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 ") 2>&5
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgnome-2.0 >= \$LIBGNOME_REQUIRED    libgnomeui-2.0 >= \$LIBGNOMEUI_REQUIRED    gtk+-2.0 >= \$LIBGTK_REQUIRED    libsoup\$SOUP >= \$LIBSOUP_REQUIRED    evolution-plugin\$EVOLUTION_BASE_VERSION_S >= \$EVOLUTION_REQUIRED    libglade-2.0 \"") >&5
+  ($PKG_CONFIG --exists --print-errors "libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup$SOUP >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 ") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_EVOLUTION_RSS_EPLUGIN_CFLAGS=`$PKG_CONFIG --cflags "libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup-2.2 >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 " 2>/dev/null`
+  pkg_cv_EVOLUTION_RSS_EPLUGIN_CFLAGS=`$PKG_CONFIG --cflags "libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup$SOUP >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 " 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -20926,12 +21212,12 @@
         pkg_cv_EVOLUTION_RSS_EPLUGIN_LIBS="$EVOLUTION_RSS_EPLUGIN_LIBS"
     else
         if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgnome-2.0 >= \$LIBGNOME_REQUIRED    libgnomeui-2.0 >= \$LIBGNOMEUI_REQUIRED    gtk+-2.0 >= \$LIBGTK_REQUIRED    libsoup-2.2 >= \$LIBSOUP_REQUIRED    evolution-plugin\$EVOLUTION_BASE_VERSION_S >= \$EVOLUTION_REQUIRED    libglade-2.0 \"") >&5
-  ($PKG_CONFIG --exists --print-errors "libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup-2.2 >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 ") 2>&5
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgnome-2.0 >= \$LIBGNOME_REQUIRED    libgnomeui-2.0 >= \$LIBGNOMEUI_REQUIRED    gtk+-2.0 >= \$LIBGTK_REQUIRED    libsoup\$SOUP >= \$LIBSOUP_REQUIRED    evolution-plugin\$EVOLUTION_BASE_VERSION_S >= \$EVOLUTION_REQUIRED    libglade-2.0 \"") >&5
+  ($PKG_CONFIG --exists --print-errors "libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup$SOUP >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 ") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_EVOLUTION_RSS_EPLUGIN_LIBS=`$PKG_CONFIG --libs "libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup-2.2 >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 " 2>/dev/null`
+  pkg_cv_EVOLUTION_RSS_EPLUGIN_LIBS=`$PKG_CONFIG --libs "libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup$SOUP >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 " 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -20950,14 +21236,14 @@
         _pkg_short_errors_supported=no
 fi
         if test $_pkg_short_errors_supported = yes; then
-	        EVOLUTION_RSS_EPLUGIN_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup-2.2 >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 "`
+	        EVOLUTION_RSS_EPLUGIN_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup$SOUP >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 "`
         else
-	        EVOLUTION_RSS_EPLUGIN_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup-2.2 >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 "`
+	        EVOLUTION_RSS_EPLUGIN_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup$SOUP >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 "`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$EVOLUTION_RSS_EPLUGIN_PKG_ERRORS" >&5
 
-	{ { echo "$as_me:$LINENO: error: Package requirements (libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup-2.2 >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 ) were not met:
+	{ { echo "$as_me:$LINENO: error: Package requirements (libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup$SOUP >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 ) were not met:
 
 $EVOLUTION_RSS_EPLUGIN_PKG_ERRORS
 
@@ -20968,7 +21254,7 @@
 and EVOLUTION_RSS_EPLUGIN_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 " >&5
-echo "$as_me: error: Package requirements (libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup-2.2 >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 ) were not met:
+echo "$as_me: error: Package requirements (libgnome-2.0 >= $LIBGNOME_REQUIRED    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED    gtk+-2.0 >= $LIBGTK_REQUIRED    libsoup$SOUP >= $LIBSOUP_REQUIRED    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED    libglade-2.0 ) were not met:
 
 $EVOLUTION_RSS_EPLUGIN_PKG_ERRORS
 
@@ -22066,6 +22352,10 @@
 
 
 
+SOUP_VERSION=`pkg-config --modversion libsoup$SOUP`
+SOUP_VERSION=`echo $SOUP_VERSION|$AWK -F . '{print $1 * 1000000 + $2 * 1000 + $3}'`
+
+
 have_dbus=no
 # Check whether --enable-DBUS was given.
 if test "${enable_DBUS+set}" = set; then
@@ -22157,6 +22447,7 @@
 fi
 
 
+
 # Extract the first word of "gettext", so it can be a program name with args.
 set dummy gettext; ac_word=$2
 { echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -24735,6 +25026,12 @@
 evolution_exec_int!$evolution_exec_int$ac_delim
 MINOR_VERSION!$MINOR_VERSION$ac_delim
 PKG_CONFIG!$PKG_CONFIG$ac_delim
+LIBSOUP_24_CFLAGS!$LIBSOUP_24_CFLAGS$ac_delim
+LIBSOUP_24_LIBS!$LIBSOUP_24_LIBS$ac_delim
+LIBSOUP_22_CFLAGS!$LIBSOUP_22_CFLAGS$ac_delim
+LIBSOUP_22_LIBS!$LIBSOUP_22_LIBS$ac_delim
+LIBSOUP_CFLAGS!$LIBSOUP_CFLAGS$ac_delim
+LIBSOUP_LIBS!$LIBSOUP_LIBS$ac_delim
 EVOLUTION_RSS_EPLUGIN_CFLAGS!$EVOLUTION_RSS_EPLUGIN_CFLAGS$ac_delim
 EVOLUTION_RSS_EPLUGIN_LIBS!$EVOLUTION_RSS_EPLUGIN_LIBS$ac_delim
 PLUGIN_INSTALL_DIR!$PLUGIN_INSTALL_DIR$ac_delim
@@ -24774,19 +25071,13 @@
 GCONF_SCHEMA_FILE_DIR!$GCONF_SCHEMA_FILE_DIR$ac_delim
 GCONF_SCHEMAS_INSTALL_TRUE!$GCONF_SCHEMAS_INSTALL_TRUE$ac_delim
 GCONF_SCHEMAS_INSTALL_FALSE!$GCONF_SCHEMAS_INSTALL_FALSE$ac_delim
+SOUP_VERSION!$SOUP_VERSION$ac_delim
 DBUS_CFLAGS!$DBUS_CFLAGS$ac_delim
 DBUS_LIBS!$DBUS_LIBS$ac_delim
 HAVE_DBUS_TRUE!$HAVE_DBUS_TRUE$ac_delim
 HAVE_DBUS_FALSE!$HAVE_DBUS_FALSE$ac_delim
 GETTEXT!$GETTEXT$ac_delim
 GETTEXT_PACKAGE!$GETTEXT_PACKAGE$ac_delim
-USE_NLS!$USE_NLS$ac_delim
-MSGFMT!$MSGFMT$ac_delim
-MSGFMT_OPTS!$MSGFMT_OPTS$ac_delim
-GMSGFMT!$GMSGFMT$ac_delim
-XGETTEXT!$XGETTEXT$ac_delim
-CATALOGS!$CATALOGS$ac_delim
-CATOBJEXT!$CATOBJEXT$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -24828,6 +25119,13 @@
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+USE_NLS!$USE_NLS$ac_delim
+MSGFMT!$MSGFMT$ac_delim
+MSGFMT_OPTS!$MSGFMT_OPTS$ac_delim
+GMSGFMT!$GMSGFMT$ac_delim
+XGETTEXT!$XGETTEXT$ac_delim
+CATALOGS!$CATALOGS$ac_delim
+CATOBJEXT!$CATOBJEXT$ac_delim
 GMOFILES!$GMOFILES$ac_delim
 INSTOBJEXT!$INSTOBJEXT$ac_delim
 INTLLIBS!$INTLLIBS$ac_delim
@@ -24846,7 +25144,7 @@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 16; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 23; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5

Modified: trunk/configure.ac
==============================================================================
--- trunk/configure.ac	(original)
+++ trunk/configure.ac	Sat Feb  2 16:56:44 2008
@@ -78,6 +78,18 @@
 MINOR_VERSION=`echo $EVOLUTION_EXEC_VERSION|cut -d. -f2|awk '{print 1000 * $1}'`
 AC_SUBST(MINOR_VERSION)
 
+dnl locate libsoup flavour
+SOUP=
+PKG_CHECK_MODULES([LIBSOUP_24], libsoup-2.4, [SOUP=2.4], [SOUP=])
+if test "x$SOUP" != "x2.4"; then
+	PKG_CHECK_MODULES([LIBSOUP_22], libsoup-2.2, [SOUP=2.2], [SOUP=]) 
+fi
+if test "x$SOUP" == "x"; then
+	PKG_CHECK_MODULES(LIBSOUP, libsoup, [SOUP=], [])
+else
+SOUP="-$SOUP"
+fi
+
 dnl base packages and versions
 LIBGTK_REQUIRED=2.4.0
 LIBGNOME_REQUIRED=2.7.0
@@ -90,7 +102,7 @@
   [libgnome-2.0 >= $LIBGNOME_REQUIRED dnl
    libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED dnl
    gtk+-2.0 >= $LIBGTK_REQUIRED dnl
-   libsoup-2.2 >= $LIBSOUP_REQUIRED dnl
+   libsoup$SOUP >= $LIBSOUP_REQUIRED dnl
    evolution-plugin$EVOLUTION_BASE_VERSION_S >= $EVOLUTION_REQUIRED dnl
    libglade-2.0 dnl
 ])
@@ -237,6 +249,13 @@
 AC_PATH_PROG(GCONFTOOL, gconftool-2, no)
 AM_GCONF_SOURCE_2
 
+dnl ********************
+dnl extract soup version
+dnl ********************
+SOUP_VERSION=`pkg-config --modversion libsoup$SOUP` 
+SOUP_VERSION=`echo $SOUP_VERSION|$AWK -F . '{print $1 * 1000000 + $2 * 1000 + $3}'`
+AC_SUBST(SOUP_VERSION)
+
 dnl ***********
 dnl D-BUS stuff
 dnl ***********
@@ -252,6 +271,7 @@
 fi
 AM_CONDITIONAL([HAVE_DBUS], [test x$have_dbus = xyes])
 
+
 dnl I18n stuff
 AC_PATH_PROG(GETTEXT, gettext, no)
 if test "x$GETTEXT" = "xno"; then

Modified: trunk/pixmaps/Makefile.in
==============================================================================
--- trunk/pixmaps/Makefile.in	(original)
+++ trunk/pixmaps/Makefile.in	Sat Feb  2 16:56:44 2008
@@ -152,6 +152,12 @@
 LDFLAGS = @LDFLAGS@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
+LIBSOUP_22_CFLAGS = @LIBSOUP_22_CFLAGS@
+LIBSOUP_22_LIBS = @LIBSOUP_22_LIBS@
+LIBSOUP_24_CFLAGS = @LIBSOUP_24_CFLAGS@
+LIBSOUP_24_LIBS = @LIBSOUP_24_LIBS@
+LIBSOUP_CFLAGS = @LIBSOUP_CFLAGS@
+LIBSOUP_LIBS = @LIBSOUP_LIBS@
 LIBTOOL = @LIBTOOL@
 LN_S = @LN_S@
 LOCALEDIR = @LOCALEDIR@
@@ -184,6 +190,7 @@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SOEXT = @SOEXT@
+SOUP_VERSION = @SOUP_VERSION@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
 VERSION = @VERSION@

Modified: trunk/src/Makefile.am
==============================================================================
--- trunk/src/Makefile.am	(original)
+++ trunk/src/Makefile.am	Sat Feb  2 16:56:44 2008
@@ -11,6 +11,7 @@
 	-DEVOLUTION_VERSION=$(evolution_exec_int)		\
 	-DEVOLUTION_GLADEDIR=\""$(gladedir)"\"            	\
 	-DEVOLUTION_ICONDIR=\""$(ICON_DIR)"\"            	\
+	-DLIBSOUP_VERSION="$(SOUP_VERSION)"	            	\
 	-DGECKO_HOME=\""$(GECKO_HOME)"\"			\
 	-DRENDER=\""$(RENDER)"\"				\
 	-DRENDER_N=$(RENDER_N)					\

Modified: trunk/src/Makefile.in
==============================================================================
--- trunk/src/Makefile.in	(original)
+++ trunk/src/Makefile.in	Sat Feb  2 16:56:44 2008
@@ -197,6 +197,12 @@
 LDFLAGS = @LDFLAGS@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
+LIBSOUP_22_CFLAGS = @LIBSOUP_22_CFLAGS@
+LIBSOUP_22_LIBS = @LIBSOUP_22_LIBS@
+LIBSOUP_24_CFLAGS = @LIBSOUP_24_CFLAGS@
+LIBSOUP_24_LIBS = @LIBSOUP_24_LIBS@
+LIBSOUP_CFLAGS = @LIBSOUP_CFLAGS@
+LIBSOUP_LIBS = @LIBSOUP_LIBS@
 LIBTOOL = @LIBTOOL@
 LN_S = @LN_S@
 LOCALEDIR = @LOCALEDIR@
@@ -229,6 +235,7 @@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SOEXT = @SOEXT@
+SOUP_VERSION = @SOUP_VERSION@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
 VERSION = @VERSION@
@@ -302,6 +309,7 @@
 	-DEVOLUTION_VERSION=$(evolution_exec_int)		\
 	-DEVOLUTION_GLADEDIR=\""$(gladedir)"\"            	\
 	-DEVOLUTION_ICONDIR=\""$(ICON_DIR)"\"            	\
+	-DLIBSOUP_VERSION="$(SOUP_VERSION)"	            	\
 	-DGECKO_HOME=\""$(GECKO_HOME)"\"			\
 	-DRENDER=\""$(RENDER)"\"				\
 	-DRENDER_N=$(RENDER_N)					\

Modified: trunk/src/network-soup.c
==============================================================================
--- trunk/src/network-soup.c	(original)
+++ trunk/src/network-soup.c	Sat Feb  2 16:56:44 2008
@@ -45,13 +45,22 @@
     const char* clen;
 
     if (info->total == 0) {
+#if LIBSOUP_VERSION < 2003000
         clen = soup_message_get_header(msg->response_headers,
                 "Content-length");
+#else
+        clen = soup_message_headers_get(msg->response_headers,
+                "Content-length");
+#endif
         if (!clen)
             return;
         info->total = atoi(clen);
     }
+#if LIBSOUP_VERSION < 2003000
     info->current += msg->response.length;
+#else
+    info->current += msg->response_body->length;
+#endif
 
     progress.current = info->current;
     progress.total = info->total;
@@ -64,13 +73,22 @@
 	const char* clen;
 	
 	if (info->total == 0) {
+#if LIBSOUP_VERSION < 2003000
 		clen = soup_message_get_header(msg->response_headers,
 				"Content-length");
+#else
+        	clen = soup_message_headers_get(msg->response_headers,
+				"Content-length");
+#endif
 		if (!clen)
 			return;
 		info->total = atoi(clen);
 	}
+#if LIBSOUP_VERSION < 2003000
 	info->current += msg->response.length;
+#else
+	info->current += msg->response_body->length;
+#endif
 	progress = g_new0(NetStatusProgress, 1);
 
 	progress->current = info->current;
@@ -97,7 +115,11 @@
 recv_msg (SoupMessage *msg, gpointer user_data)
 {
 	GString *response = NULL;
+#if LIBSOUP_VERSION < 2003000
 	response = g_string_new_len(msg->response.body, msg->response.length);
+#else
+	response = g_string_new_len(msg->response_body->data, msg->response_body->length);
+#endif
 #ifdef RSS_DEBUG
 	g_print("got it!\n");
 	g_print("res:[%s]\n", response->str);
@@ -164,7 +186,11 @@
         gchar *proxy_uri = 
             g_strdup_printf("http://%s:%d/";, host_proxy, port_proxy); 
 
+#if LIBSOUP_VERSION < 2003000
         SoupUri *puri = soup_uri_new (proxy_uri);
+#else
+        SoupURI *puri = soup_uri_new (proxy_uri);
+#endif
 /*	if (auth_proxy)
 	{
 		puri->user = g_strdup(user_proxy);
@@ -288,7 +314,8 @@
 		{
 			if (create_user_pass_dialog(data))
 				rf->soup_auth_retry = FALSE;
-			rf->soup_auth_retry = TRUE;
+			else
+				rf->soup_auth_retry = TRUE;
 		}
 		*username = g_strdup(g_hash_table_lookup(rf->hruser, data));
 		*password = g_strdup(g_hash_table_lookup(rf->hrpass, data));
@@ -332,14 +359,6 @@
 }
 
 
-
-static void
-handler (SoupMessage *msg, gpointer data)
-{
-	g_print("yodrax\n");
-}
-
-
 gboolean
 net_get_unblocking(const char *url, NetStatusCallback cb, 
 				gpointer data, gpointer cb2,
@@ -352,7 +371,7 @@
 //		soup_session_async_new_with_options(SOUP_SESSION_TIMEOUT, SS_TIMEOUT, NULL);
 		soup_session_async_new();
 			
-	proxyfy_session(soup_sess);
+///	proxyfy_session(soup_sess);
 	info = g_new0(CallbackInfo, 1);
 	info->user_cb = cb;
 	info->user_data = data;
@@ -367,8 +386,10 @@
 
 	g_signal_connect (soup_sess, "authenticate",
             G_CALLBACK (authenticate), (gpointer)url);
+#if LIBSOUP_VERSION < 2003000
 	g_signal_connect (soup_sess, "reauthenticate",
             G_CALLBACK (reauthenticate), (gpointer)url);
+#endif
 
 	/* Queue an async HTTP request */
 	msg = soup_message_new ("GET", url);
@@ -384,8 +405,13 @@
 
 	gchar *agstr = g_strdup_printf("Evolution/%s; Evolution-RSS/%s",
 			EVOLUTION_VERSION_STRING, VERSION);
+#if LIBSOUP_VERSION < 2003000
 	soup_message_add_header (msg->request_headers, "User-Agent",
                                 agstr);
+#else
+	soup_message_headers_append (msg->request_headers, "User-Agent",
+                                agstr);
+#endif
 	g_free(agstr);
 
 	g_signal_connect(G_OBJECT(msg), "got-chunk",
@@ -406,7 +432,11 @@
 net_post_blocking(const char *url, GSList *headers, GString *post,
                   NetStatusCallback cb, gpointer data,
                   GError **err) {
+#if LIBSOUP_VERSION < 2003000
 	SoupUri *suri = NULL;
+#else
+	SoupURI *suri = NULL;
+#endif
 	SoupMessage *req = NULL;
 	GString *response = NULL;
 	CallbackInfo info = { cb, data, 0, 0 };
@@ -420,8 +450,10 @@
 
 	g_signal_connect (soup_sess, "authenticate",
             G_CALLBACK (authenticate), soup_sess);
+#if LIBSOUP_VERSION < 2003000
 	g_signal_connect (soup_sess, "reauthenticate",
             G_CALLBACK (reauthenticate), soup_sess);
+#endif
 
 	suri = soup_uri_new(url);
 	if (!suri)
@@ -439,13 +471,22 @@
 		 * a bit. */
 		char *colonpos = strchr(header, ':');
 		*colonpos = 0;
+#if LIBSOUP_VERSION < 2003000
 		soup_message_add_header(req->request_headers, header, colonpos+1);
+#else
+		soup_message_headers_append(req->request_headers, header, colonpos+1);
+#endif
 		*colonpos = ':';
 	}
 	gchar *agstr = g_strdup_printf("Evolution/%s; Evolution-RSS/%s",
 			EVOLUTION_VERSION_STRING, VERSION);
+#if LIBSOUP_VERSION < 2003000
 	soup_message_add_header (req->request_headers, "User-Agent",
                                 agstr);
+#else
+	soup_message_headers_append (req->request_headers, "User-Agent",
+                                agstr);
+#endif
 	g_free(agstr);
 
 	proxyfy_session(soup_sess);
@@ -463,7 +504,11 @@
 		goto out;
 	}
 
+#if LIBSOUP_VERSION < 2003000
 	response = g_string_new_len(req->response.body, req->response.length);
+#else
+	response = g_string_new_len(req->response_body->data, req->response_body->length);
+#endif
 
 out:
 	if (suri) soup_uri_free(suri);

Modified: trunk/src/rss.c
==============================================================================
--- trunk/src/rss.c	(original)
+++ trunk/src/rss.c	Sat Feb  2 16:56:44 2008
@@ -96,7 +96,9 @@
 #include <errno.h>
 
 #include <libsoup/soup.h>
+#if LIBSOUP_VERSION < 2003000
 #include <libsoup/soup-message-queue.h>
+#endif
 
 #include "rss.h"
 #include "network-soup.c"
@@ -964,8 +966,12 @@
 	{
 		if (SOUP_IS_MESSAGE(value))
 		{
+#if LIBSOUP_VERSION < 2003000
 			soup_message_set_status(value,  SOUP_STATUS_CANCELLED);
 			soup_session_cancel_message(key, value);
+#else
+			soup_session_cancel_message(key, value, SOUP_STATUS_CANCELLED);
+#endif
 		}
 		soup_session_abort(key);
 		g_hash_table_find(rf->key_session,
@@ -1001,8 +1007,12 @@
 	{
 		if (SOUP_IS_MESSAGE(rf->b_msg_session))
 		{
+#if LIBSOUP_VERSION < 2003000
 			soup_message_set_status(rf->b_msg_session, SOUP_STATUS_CANCELLED);
 			soup_session_cancel_message(rf->b_session, rf->b_msg_session);
+#else
+			soup_session_cancel_message(rf->b_session, rf->b_msg_session, SOUP_STATUS_CANCELLED);
+#endif
 		}
 		soup_session_abort(rf->b_session);
 		rf->b_session = NULL;
@@ -2567,9 +2577,17 @@
 html_set_base(xmlNode *doc, char *base, char *tag, char *prop, char *basehref)
 {
 	gchar *url;
+#if LIBSOUP_VERSION < 2003000
 	SoupUri *newuri;
+#else
+	SoupURI *newuri;
+#endif
         gchar *newuristr;
+#if LIBSOUP_VERSION < 2003000
         SoupUri *base_uri = soup_uri_new (base);
+#else
+        SoupURI *base_uri = soup_uri_new (base);
+#endif
 	while (doc = html_find((xmlNode *)doc, tag))
 	{
 		if (url = xmlGetProp(doc, prop))
@@ -2605,7 +2623,11 @@
 				// all relative links
 				if (basehref != NULL)
 				{
+#if LIBSOUP_VERSION < 2003000
         				SoupUri *newbase_uri = soup_uri_new (basehref);
+#else
+        				SoupURI *newbase_uri = soup_uri_new (basehref);
+#endif
         				newuri = soup_uri_new_with_base (newbase_uri, url);
 					soup_uri_free(newbase_uri);
 				}
@@ -3661,15 +3683,22 @@
 		goto out;
 	}
 	
+#if LIBSOUP_VERSION < 2003000
 	if (!msg->response.length)
+#else
+	if (!msg->response_body->length)
+#endif
 		goto out;
 
 	if (msg->status_code == SOUP_STATUS_CANCELLED)
 		goto out;
 
 
-
+#if LIBSOUP_VERSION < 2003000
 	GString *response = g_string_new_len(msg->response.body, msg->response.length);
+#else
+	GString *response = g_string_new_len(msg->response_body->data, msg->response_body->length);
+#endif
 //#ifdef RSS_DEBUG
 	g_print("feed %s\n", user_data);
 //#endif
@@ -5105,7 +5134,11 @@
 	f = fopen(name, "wb+");
 	if (f)
 	{
+#if LIBSOUP_VERSION < 2003000
 		fwrite(msg->response.body, msg->response.length, 1, f);
+#else
+		fwrite(msg->response_body->data, msg->response_body->length, 1, f);
+#endif
 		fclose(f);
 		//replace encl with filename generated
 		g_free(user_data->encl);



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]